/**
 * 版权所有 ©2019 莱欧有限公司
 * 工程名：SpringMvcLion
 * 文件名：UserController.java
 * 创建日期：2019年3月5日 下午3:17:16
 * 作者：mt.W
 */
package com.lion.controller;


import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.lion.entity.User;
import com.lion.service.UserService;



/**
 * 类描述
 * @author mt.W
 * @since 2019年3月5日
 */
@RestController
@RequestMapping("user")
public class UserController {
	
	@Autowired
	private UserService service;
	/**
	 * 方法描述	通过orgid查询人员 条件查询人员
	 * @author cpf
	 * @since 2019年7月19日
	 * @return	
	 */
	@RequestMapping("getUser.service")
	public Map<String,Object> getUser(HttpServletRequest req,HttpSession session,String page,String rows,String orgid,String phname){
		return service.getUser(page, rows, orgid, phname,req);
	}
	/**
	 * 
	 * 方法描述       迁移人员
	 * @author mt.W
	 * @since 2019年10月30日
	 * @param req
	 * @param id  人员 id
	 * @param orgid  部门id 
	 * @return
	 */
	@RequestMapping("qianyi.service")
	public String updateUser(HttpServletRequest req,String id,String orgid){
		return service.updateUser(id, orgid);
	}
	
	/**
	 * 方法描述		保存人员信息修改
	 * @author wcj
	 * @since 2019年11月6日
	 * @param req
	 * @return	
	 */
	@RequestMapping("save.service")
	public String updataUser(HttpServletRequest req, HttpSession session, User u) {
		return service.updataUser(req, session, u);
	}
	
	
	/**
	 * 方法描述		删除人员
	 * @author wcj
	 * @since 2019年11月7日
	 * @param req
	 * @param id
	 * @return	
	 */
	@RequestMapping("delete.service")
	public String deleteUser(HttpServletRequest req,String id){
		return service.deleteUser(req, id);
	}
	
	/**
	 * 方法描述		查询所有角色
	 * @author wcj
	 * @since 2019年11月7日
	 * @param req
	 * @return	
	 */
	@RequestMapping("getrole.service")
	public Map<String,Object> getrole(HttpServletRequest req){
		return service.getrole(req);
	}
	/**
	 * 
	 * 方法描述   初始化人员密码
	 * @author mt.W
	 * @since 2020年2月25日
	 * @param req
	 * @param id
	 * @return
	 */
	@RequestMapping("initpwd.service")
	public String initPwd(HttpServletRequest req,String id){
		return service.initPwd(req, id);
	}
}
